fosphor_render Struct Reference
Fosphor

fosphor render options More...

`#include <fosphor.h>`

## Public Attributes

int | pos_x
| X origin (lower left corner) More...
int | pos_y
| Y origin (lower left corner) More...
int | width
| Width More...
int | height
| Height. More...
int | options
| Options (See FRO_??? constants) More...
float | histo_wf_ratio
| Ratio histogram/waterfall ]0,1[. More...
int | freq_n_div
| Number of frequency divisions. More...
float | freq_start
| Frequency zoom start [0,1[. More...
float | freq_stop
| Frequency zoom stop ]0,1]. More...
float | wf_span
| Waterfall time zoom ]0,1]. More...
struct fosphor_channel | channels [FOSPHOR_MAX_CHANNELS]
| Displayed channels. More...
int | _wf_pos
| (private) Waterfall position More...
float | _x_div
| (private) X divisions width More...
float | _x [2]
| (private) X endpoints More...
float | _x_label
| (private) X location for labels More...
float | _y_histo_div
| (private) Y histogram divisions height More...
float | _y_histo [2]
| (private) Y histogram endpoints More...
float | _y_wf [2]
| (private) Y waterfall endpoints More...
float | _y_label
| (private) Y location for label More...

## Detailed Description

fosphor render options

## Member Data Documentation

## _wf_pos

int fosphor_render::_wf_pos

(private) Waterfall position

## _x

float fosphor_render::_x[2]

(private) X endpoints

## _x_div

float fosphor_render::_x_div

(private) X divisions width

## _x_label

float fosphor_render::_x_label

(private) X location for labels

## _y_histo

float fosphor_render::_y_histo[2]

(private) Y histogram endpoints

## _y_histo_div

float fosphor_render::_y_histo_div

(private) Y histogram divisions height

## _y_label

float fosphor_render::_y_label

(private) Y location for label

## _y_wf

float fosphor_render::_y_wf[2]

(private) Y waterfall endpoints

## channels

struct fosphor_channel fosphor_render::channels[FOSPHOR_MAX_CHANNELS]

Displayed channels.

## freq_n_div

int fosphor_render::freq_n_div

Number of frequency divisions.

## freq_start

float fosphor_render::freq_start

Frequency zoom start [0,1[.

## freq_stop

float fosphor_render::freq_stop

Frequency zoom stop ]0,1].

## height

int fosphor_render::height

Height.

## histo_wf_ratio

float fosphor_render::histo_wf_ratio

Ratio histogram/waterfall ]0,1[.

## options

int fosphor_render::options

Options (See FRO_??? constants)

## pos_x

int fosphor_render::pos_x

X origin (lower left corner)

## pos_y

int fosphor_render::pos_y

Y origin (lower left corner)

## wf_span

float fosphor_render::wf_span

Waterfall time zoom ]0,1].

## width

int fosphor_render::width

Width

The documentation for this struct was generated from the following file:

- fosphor.h